Bug 1252241 - Review Request: gap-pkg-genss - Randomized Schreier-Sims algorithm
Review Request: gap-pkg-genss - Randomized Schreier-Sims algorithm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 23:55 EDT by Jerry James
Modified: 2016-02-26 11:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 11:25:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-08-10 23:55:14 EDT
Spec URL: https://jjames.fedorapeople.org/gap-pkg-genss/gap-pkg-genss.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-genss/gap-pkg-genss-1.6.2-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: The genss package implements the randomized Schreier-Sims algorithm to compute a stabilizer chain and a base and strong generating set for arbitrary finite groups.
Comment 1 gil cattaneo 2015-08-28 11:40:56 EDT
can you take this for me?
https://bugzilla.redhat.com/show_bug.cgi?id=1039301
regards
Comment 2 gil cattaneo 2015-08-28 13:13:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/gil/1252241-gap-pkg-
     genss/licensecheck.txt
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-genss-1.6.2-1.fc24.noarch.rpm
          gap-pkg-genss-1.6.2-1.fc24.src.rpm
gap-pkg-genss.noarch: W: only-non-binary-in-usr-lib
gap-pkg-genss.src: W: invalid-url Source0: https://github.com/gap-system/genss/releases/download/v1.6.2/genss-1.6.2.tar.bz2 HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
gap-pkg-genss.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
gap-pkg-genss (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core(x86-32)
    gap-pkg-io
    gap-pkg-orb



Provides
--------
gap-pkg-genss:
    gap-pkg-genss



Source checksums
----------------
https://github.com/gap-system/genss/releases/download/v1.6.2/genss-1.6.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : ccb7893dfe8462b85b43ac7cb4bba136d5b12cdbac3b0ba8aed79ac17047ff3a
  CHECKSUM(SHA256) upstream package : ccb7893dfe8462b85b43ac7cb4bba136d5b12cdbac3b0ba8aed79ac17047ff3a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1252241 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-08-28 13:13:44 EDT
approved
Comment 4 Jerry James 2015-08-28 15:16:25 EDT
Thank you for the review!
Comment 5 Jerry James 2015-08-28 15:17:37 EDT
New Package SCM Request
=======================
Package Name: gap-pkg-genss
Short Description: Randomized Schreier-Sims algorithm
Upstream URL: http://gap-system.github.io/genss/
Owners: jjames
Branches: f22 f23
InitialCC:
Comment 6 Gwyn Ciesla 2015-08-30 10:18:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.